# Changelog

## 1.0.0 (2016-05-23)
- **Breaking changes**
  - Update Grunt to v1.0.1. ([#3](https://github.com/rakuten-frontend/generator-rff/issues/3))
  - Rename Jade to Pug. ([#4](https://github.com/rakuten-frontend/generator-rff/issues/4), [pugjs/pug#2184](https://github.com/pugjs/pug/issues/2184))
  - Drop Ruby Sass option and use [LibSass](http://sass-lang.com/libsass) as the standard Sass compiler. ([#5](https://github.com/rakuten-frontend/generator-rff/issues/5))
  - Switch from W3C HTML Validation to [Nu Html Checker](https://validator.github.io/validator/) using grunt-html. ([#9](https://github.com/rakuten-frontend/generator-rff/issues/9), [#10](https://github.com/rakuten-frontend/generator-rff/issues/10))
  - Remove [main-bower-files](https://github.com/ck86/main-bower-files) because it doesn't work well on the current Bower. ([#11](https://github.com/rakuten-frontend/generator-rff/issues/11))
- **Features**
  - Include SVG optimization to built-in feature. ([#7](https://github.com/rakuten-frontend/generator-rff/issues/7))
  - Use [npm-scripts](https://docs.npmjs.com/misc/scripts) by default and make grunt-cli optional.
- **Fixes**
  - Update Grunt plugins to adapt Grunt 1.0.
  - Install grunt-postcss + autoprefixer instead of deprecated grunt-autoprefixer. ([#8](https://github.com/rakuten-frontend/generator-rff/issues/8))
  - Refactor Grunt task scripts.
  - Fix JSCS config to prevent error on the current version.
- **Others**
  - Support Node.js v6.
  - Update yeoman-generator to v0.22.5.
  - Update generator-mocha to v0.3.0.
  - Fix test code for the generator.

## 0.7.4 (2015-12-18)
- Fix npm-install error when mocha/jasmine option passed.

## 0.7.3 (2015-12-18)
- Prevent npm warning about peer dependencies.
- Test on Node.js 4.2 LTS and the latest stable version.

## 0.7.2 (2015-05-27)
- Bump grunt-sass to fix sourcemap issue of Libsass.

## 0.7.1 (2015-05-26)
- Disable JSCS line break validation to prevent error on Windows.
- Bump yeoman-generator to v0.20.1.

## 0.7.0 (2015-04-02)
- Automate copy task for bower package assets using [main-bower-files](https://github.com/ck86/main-bower-files).
- Update [BrowserSync](http://www.browsersync.io/) to v2.1.1.
- Update [grunt-spritesmith](https://github.com/Ensighten/grunt-spritesmith) to v4.5.1. (see: [Breaking changes in 3.0.0 and 4.0.0](https://github.com/Ensighten/grunt-spritesmith#breaking-changes-in-300))
- Update other Grunt plugins.
- Support Node.js 0.12 and io.js.
- Add npm-script: `npm run build` to build with Grunt.
- Tweak preset of package.json and bower.json.

## 0.6.1 (2015-01-22)
- Use grunt-browser-sync for mocha testing instead of grunt-contrib-connect.
- Prevent JSCS error caused by the latest preset.
- Update Grunt plugins.
- Update URLs in help comment.

## 0.6.0 (2014-12-01)
- Support source maps for Sass, Less, Autoprefixer and CoffeeScript.
- Switch from grunt-rev to grunt-filerev.
- Use `^` instead of `~` in npm install.
- Relax the JSCS config when CoffeeScript is selected.
- Update .gitignore.
- Update grunt plugins.

## 0.5.1 (2014-11-25)
- Support wiredep in Stylus.
- Clean up Grunt config code.

## 0.5.0 (2014-11-18)
- Support JSCS.
- Arrage JavaScript coding style.
  - Strict mode.
  - 2 spaces for indentation.
- Change the default config of generator.
  - Select CSS instead of Sass.
  - Uncheck HTML Validation.
- Upgrade grunt plugins.
- Improve grunt config scripts.

## 0.4.2 (2014-11-12)
- Remove deprecated jshint options.
- Improve generator testing.

## 0.4.1 (2014-11-04)
- Correct problems in Jade + SSI option.

## 0.4.0 (2014-10-24)
- Release as open source.
- Support more tasks.
  - Icon font generator
  - Modernizr builder
  - HTML minification
  - SVG optimization
  - Deployment to Git repository
  - Deployment over FTP
- Support Libsass compiler.
- Make generator more configurable.
- Add preset menu for quick generate.
- Support user preset config.
- Add `--config` option for skipping the config type question.
- Add `--skip-install-message` option.
- Deprecate `--init` option and show prompt even if .yo-rc.json exists.
- Improve prompt.
- Rename "src" directory to "app".
- Move "bower_components" directory to project root.
- Untrack files in "dist" directory.
- Untrack all files generated by pre-compilers.
- Support wiredep for sass/less sources.
- Support relative path for asset reference.
- Simplify boilerplate sources.
- Merge `grunt lint` task into `grunt test`.
- Upgrade grunt plugins.
- Update readme and usage.
- Refactor the generator implementation.

## 0.3.2 (2014-07-17)
- Switch to BrowserSync server.
- Improve grunt watch task.
- Upgrade Autoprefixer to v2.1.
- Upgrade grunt-spritesmith to v2.1.
- Support git management in the dist directory. e.g. grunt-build-control.
- Add .gitattributes.

## 0.3.1 (2014-07-02)
- Prevent unexpected copy to the dist directory.
- Improve the performance of usemin task.
- Prevent error in case of no sprite image.
- Insert `~` instead of `^` when npm install --save, --save-dev.
- Update text in readme/help/prompt.

## 0.3.0 (2014-05-21)
- Support Bower.
- Support testing frameworks.
- Make configurable using .yo-rc.json.
- Include CSS/JS concatenation task as built-in.
- Separate minify options of CSS and JavaScript.
- Discard support of `grunt server` alias.
- Update dependent packages.

## 0.2.2 (2014-04-11)
- Define `grunt build` as pure build task.
- Update dependent packages.

## 0.2.1 (2014-04-04)
- Support Stylus and *.sass files.
- Rename grunt alias `grunt server` to `grunt serve`.
- Separate all kinds of vendor libraries into "vendor" directory.
- Use absolute URI reference for all assets.

## 0.2.0 (2014-03-31)
- Support more languages.
  - Jade
  - Less
  - CoffeeScript
- Update directory and build structure.
- Add example pages and readme content.
- Update CLI prompt.

## 0.1.2 (2014-03-19)
- Optimize grunt performance using grunt-newer and time-grunt.
- Improve CLI messages.

## 0.1.1 (2014-03-18)
- Fix bug of grunt script.

## 0.1.0 (2014-03-18)
- Initial release.
